# Package com.google.android.exoplayer2.database

- Interface Summary
  Interface | Description
  --- | ---
  DatabaseProvider | Provides `SQLiteDatabase` instances to ExoPlayer components, which may read and write tables prefixed with `DatabaseProvider.TABLE_PREFIX`.

- Class Summary
  Class | Description
  --- | ---
  DefaultDatabaseProvider | A `DatabaseProvider` that provides instances obtained from a `SQLiteOpenHelper`.
  ExoDatabaseProvider | An `SQLiteOpenHelper` that provides instances of a standalone ExoPlayer database.
  VersionTable | Utility methods for accessing versions of ExoPlayer database components.

- Exception Summary
  Exception | Description
  --- | ---
  DatabaseIOException | An `IOException` whose cause is an `SQLException`.